### Enumeration

# WebKit InputHints

#### Declaration

    flags WebKit.InputHints

#### Description [src]

Enum values used to describe hints that might be taken into account by input methods.

Available since: | 2.28

#### Members

Name | Description
--- | ---
`WEBKIT_INPUT_HINT_NONE` | No special behavior suggested.
`WEBKIT_INPUT_HINT_SPELLCHECK` | Suggest spell checking.
`WEBKIT_INPUT_HINT_LOWERCASE` | Suggest to not autocapitlize.
`WEBKIT_INPUT_HINT_UPPERCASE_CHARS` | Suggest to capitalize all text.
`WEBKIT_INPUT_HINT_UPPERCASE_WORDS` | Suggest to capitalize the first character of each word.
`WEBKIT_INPUT_HINT_UPPERCASE_SENTENCES` | Suggest to capitalize the first word of each sentence.
`WEBKIT_INPUT_HINT_INHIBIT_OSK` | Suggest to not show an onscreen keyboard.